Skip to main content
POST
/
api
/
projects
/
v1
/
projects
/
{projectId}
/
goals
Add a goal to this project
curl --request POST \
  --url https://api.example.com/api/projects/v1/projects/{projectId}/goals \
  --header 'Content-Type: application/json' \
  --header 'X-Domino-Api-Key: <api-key>' \
  --data '
{
  "title": "MyGoal",
  "assigneeId": "<string>",
  "description": "<string>",
  "stageId": "<string>"
}
'
{
  "goal": {
    "createdAt": "2022-03-12T02:13:44.467Z",
    "creatorId": "<string>",
    "id": "<string>",
    "isComplete": true,
    "projectId": "<string>",
    "title": "<string>",
    "description": "<string>"
  },
  "metadata": {
    "notices": [
      "<string>"
    ],
    "requestId": "<string>"
  }
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

projectId
string
required

Project ID

Body

application/json

Goal to add

title
string
required

Title of the goal

Example:

"MyGoal"

assigneeId
string

Optional id of the user the goal will be assigned to

description
string

An optional description of the goal

stageId
string

Optional id of the stage the goal will be set to

Response

Success

goal
object
required
metadata
object
required